You are not logged in.

#401 2011-01-27 13:20:11

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] KDE 4.6

Pierre wrote:

Is there a reason why qt-4.7.1-4 is still in kde-unstable?

Contains a kdepim 4.6 fix, there is no need to move it in [extra] for now.

gun26 wrote:

@bash - I've got three final SVN repo nits:
kdeadmin - syslog-path.patch is wrong, fails sha1sum and won't apply. Since it's a one liner, I easily created my own patch and built successfully.
kdesdk - fix-python2-path.patch and kdesdk-okteta.install both missing from SVN. I had them from previous builds so no problem for me.
kdeutils - spurious kdeutils-okteta.install in SVN.

Thank you! Everything fixed.

Offline

#402 2011-01-27 13:26:32

fettouhi
Member
Registered: 2007-05-07
Posts: 658

Re: [kde-unstable] KDE 4.6

gun26 wrote:

@fettouhi - I'm not seeing image previews on folders either. That was a nice Dolphin feature - I hope they get it working again.

Ok, good to know that I'm not the only one that's having issues with the previews on folders. A few folders do seem to show previews in my case but far from the majoraity of them.

Offline

#403 2011-01-27 13:36:46

birdflesh
Member
From: Greece
Registered: 2010-08-04
Posts: 96

Re: [kde-unstable] KDE 4.6

I had to rebuild konq-plugins to make konqueror searchbar work correctly in 4.6

Offline

#404 2011-01-27 13:45:11

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] KDE 4.6

birdflesh wrote:

I had to rebuild konq-plugins to make konqueror searchbar work correctly in 4.6

rebuilt and updated to a new snapshot.

Offline

#405 2011-01-27 15:24:22

birdflesh
Member
From: Greece
Registered: 2010-08-04
Posts: 96

Re: [kde-unstable] KDE 4.6

bash wrote:

rebuilt and updated to a new snapshot.

You might want to check this again. The new package introduces new plugins but misses all the old ones. (previous version 408 kb > this version 22 kb)

Offline

#406 2011-01-27 15:56:18

ichbinder
Member
Registered: 2009-09-10
Posts: 16

Re: [kde-unstable] KDE 4.6

bash wrote:
ichbinder wrote:

Hey there. I did the upgrade from KDE 4.5.5-1 to 4.6.0-1 and now I'm getting the following error messages in Dolphin as well as the Desktop Folder widget on my desktop:

Please run:

sudo pacman -U --asdeps ftp://ftp.archlinux.org/extra/os/x86_64/soprano-2.5.63-1-x86_64.pkg.tar.xz

or

sudo pacman -U --asdeps ftp://ftp.archlinux.org/extra/os/i686/soprano-2.5.63-1-i686.pkg.tar.xz

to install soprano 2.5.63 which is needed by KDE 4.6 or wait for mirror sync

Thanks alot you! Sleeping helped... ;-)
(Guess I was to hysteric.)

Offline

#407 2011-01-27 16:01:50

lineak
Member
From: Austria
Registered: 2011-01-25
Posts: 18
Website

Re: [kde-unstable] KDE 4.6

Thanks for uploading so fast. Maybe I will give Arch a new try on this weekend… smile

Offline

#408 2011-01-27 16:17:14

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] KDE 4.6

birdflesh wrote:

You might want to check this again. The new package introduces new plugins but misses all the old ones. (previous version 408 kb > this version 22 kb)

Upstream has moved the project, updated.

Offline

#409 2011-01-27 18:49:37

devadittya
Member
From: Bangalore
Registered: 2009-11-16
Posts: 127
Website

Re: [kde-unstable] KDE 4.6

Have some issue with automounting my external hdd. Everytime I try to access it upon a boot, it asks for a password (root pwd). It wasn't the same with 4.5. Do I need to change permissions somewhere in dbus?

EDIT::
Figured it out.

Had to change:

<allow_active>auth_admin_keep</allow_active>

to

<allow_active>yes</allow_active>

in  /usr/share/polkit-1/actions/org.freedesktop.udisks.policy

Last edited by devadittya (2011-01-27 20:05:06)

Offline

#410 2011-01-27 22:18:43

devadittya
Member
From: Bangalore
Registered: 2009-11-16
Posts: 127
Website

Re: [kde-unstable] KDE 4.6

Kwin is still buggy for me. It's slow, tears all the time, and is way too limited (no mouse scroll for desktop zoom!!!) And discovered a new bug: With default KDE window decoration, Compiz cannot move windows. So the only option for me is to have Compiz + Emerald.

I never understood why KDE has to go around, cloning a half assed Compiz wannabe, when they can just use Compiz. Or at least, make Compiz integration smoother, so that those of us who do not want to use a broken WM, can use something that works,.

Can see three big improvements:
(1) No HAL!!!
(2) Strigi/Nepomuk are no longer a resource hog. Till 4.5, Strigi used to push my cpu usage to 99%
(3) Support for those launcher icons in the task manager. Makes working a lot more convenient than conventional taskmanagers.

Last edited by devadittya (2011-01-27 22:26:23)

Offline

#411 2011-01-28 09:06:49

devadittya
Member
From: Bangalore
Registered: 2009-11-16
Posts: 127
Website

Re: [kde-unstable] KDE 4.6

Okay, I was a bit too harsh yesterday. This is probably one of the greatest releases ever. So many minor bug fixes (a lot can be attributed to my new Catalyst drivers though). The only disappointment for me has been that Kwin is still sluggish compared to Compiz.

Offline

#412 2011-01-28 10:46:44

Zom
Member
From: Sweden
Registered: 2007-10-27
Posts: 406

Re: [kde-unstable] KDE 4.6

They have their reasons for using kwin over compiz, most likely because it's simpler for low-performance computers and is better integrated to KDE overall (like how it stores settings and what not).

Same with gnome or any other DE.

If compositing is slow with kwin, and you don't need the fancy effects, you could just use a separate compositor, like cairo-compmgr.

Offline

#413 2011-01-28 18:11:18

devadittya
Member
From: Bangalore
Registered: 2009-11-16
Posts: 127
Website

Re: [kde-unstable] KDE 4.6

Zom, I totally agree with what you are saying. The bigger, and more integrated environments (KDE, Gnome, XFCE), would ideally want their own WMs. However, that was not the point that I was trying to make. If look into KDE4 at the moment, one of the greatest, and few, flaws is KWin. I don't totally disagree with the principle of having KWin, but I don't see the point in their current approach.

It isn't very smooth with compositing. There are too many people who have complained about KDE compositing. Secondly, it isn't as versatile as Compiz (I am not talking of all the fire effects, and other bells and whistles). KWin without compositing is very ordinary. But what makes it strange is that KDE isn't the most compatible DE with 3rd party WMs.
I prefer the XFWM approach. On its own, it is a very good WM. At the same time, Compiz works beautifully on XFCE.
Where I disagree with KWin is that it is neither here, nor there. I would have loved a KWin which was rock solid with limited to no effects. That would have given the user the ideal choice between KWin and another WM (Say, compiz). The trade-off would have been "Integration+stability+limited effects" vs "No integration but handy effects". That is pretty much where xfwm is. The choice that KDE is offering at the moment is "Integrated, but buggy and slow wm" vs "No integration, but not buggy". The problem with this trade-off is that the two qualities (integrable and buggy) are mutually exclusive.

Don't misunderstand me. I absolutely love KDE4. It's just that I feel KWin needs more attention (Dev AND strategic)

Offline

#414 2011-01-28 18:50:13

lucke
Member
From: Poland
Registered: 2004-11-30
Posts: 4,018

Re: [kde-unstable] KDE 4.6

KWin used to work well with desktop effects on my PCs - now I don't use KDE anymore, but when I fiddle with it, I can't even get the desktop effects to work properly. That said, I have always thought KWin, even without compositing, to be one of the most featureful WMs - and they keep adding features. If only I could change desktops by clicking on the edges and desktop effects worked without a hitch in recent releases, maybe I'd come back to KDE.

Offline

#415 2011-01-28 19:26:06

ANOKNUSA
Member
Registered: 2010-10-22
Posts: 2,141

Re: [kde-unstable] KDE 4.6

KWin has its detractors, with different issues, many of them pertaining to third-party software (such as the xorg 1.8 issue, in which compositing would malfunction due to MESA improperly communicating its capabilities) and perceived "regressions."  Of course, since KWin is the visible piece of software, it's the one that gets negative attention, and its developers need to constantly defend themselves as people complain over and over that KWin is flawed and "broken."  What are often seen as regressions are in fact progress, but the fact that not all foss projects progress at the same rate and use the same roadmap means there are bound to be problems sooner or later.  KWin works just fine for me, and I like the fact that its visual effects tend to be more practical than cosmetic (blur is the biggest exception to that; however, blur works fine for me in KWin, and never did in compiz, so I like it beautifying my desktop).  But I digress: the KWin developers have their reasons for their development track, and the issue has been flogged to death on the internet.  This really isn't the forum to discuss its pros and cons;  there are plenty of other places to do that, and plenty of other places where it's been done.  Search around, you might find a solution to whatever your subjective problem might be.

Offline

#416 2011-01-28 19:57:09

devadittya
Member
From: Bangalore
Registered: 2009-11-16
Posts: 127
Website

Re: [kde-unstable] KDE 4.6

@Anoknusa: My intention wasn't to start a discussion on KWin. So, yes, let's stop that discussion here.

Offline

#417 2011-01-28 22:26:16

sjakub
Member
From: Canada/Poland
Registered: 2008-06-16
Posts: 84

Re: [kde-unstable] KDE 4.6

Hi. I was using RCs from [kde-unstable] and it was working fine. Since the update to 4.6 (and move to [extra]) I can't use kmail. I know that kdepim didn't make it to 4.6, but the RC was quite usable. Now it simply doesn't work at all - I don't see any new email messages. Is it possible that kdepim packages in [kde-unstable] need to be rebuilt against the new version of the rest of KDE?

Offline

#418 2011-01-29 13:45:46

fettouhi
Member
Registered: 2007-05-07
Posts: 658

Re: [kde-unstable] KDE 4.6

Is it just me or is vpn (pptp) broken in KDE 4.6? I have a strongvpn account which I was using daily via networkmanager. But after updating to 4.6 nothing happens when I click my vpn profile in the networkmanager plasma applet.

Offline

#419 2011-01-30 14:42:17

RufusD
Member
Registered: 2010-03-21
Posts: 86

Re: [kde-unstable] KDE 4.6

Any news on the state of KDEPIM? Cause I'm just about to update the RC (currently using 'Version 4.6 beta 4', as stated by kontact's About dialog), but I'd hate to lose kontact for the next month.

Offline

#420 2011-01-31 01:52:44

andrewthomas
Member
Registered: 2010-05-08
Posts: 52

Re: [kde-unstable] KDE 4.6

devadittya wrote:

Have some issue with automounting my external hdd. Everytime I try to access it upon a boot, it asks for a password (root pwd). It wasn't the same with 4.5. Do I need to change permissions somewhere in dbus?

EDIT::
Figured it out.

Had to change:

<allow_active>auth_admin_keep</allow_active>

to

<allow_active>yes</allow_active>

in  /usr/share/polkit-1/actions/org.freedesktop.udisks.policy

Shouldn't you be altering the permissions by inserting an override in  /etc/polkit-1/localauthority/ so as to avoid an overwrite on an update?


If this helped you, please take the time to rate the value of this post:
http://rate.affero.net/andrewthomas/

Offline

#421 2011-01-31 16:36:42

devadittya
Member
From: Bangalore
Registered: 2009-11-16
Posts: 127
Website

Re: [kde-unstable] KDE 4.6

Can you elaborate a bit?
I have only one file in /etc/polkit-1/

 /etc/polkit-1/localauthority.conf.d/50-localauthority.conf  

which looks like this:

  GNU nano 2.2.6        File: /etc/polkit-1/localauthority.conf.d/50-localauthority.conf                       

# Configuration file for the PolicyKit Local Authority.
#
# DO NOT EDIT THIS FILE, it will be overwritten on update.
#
# See the pklocalauthority(8) man page for more information
# about configuring the Local Authority.
#

[Configuration]
AdminIdentities=unix-user:0

Offline

#422 2011-01-31 17:07:00

andrewthomas
Member
Registered: 2010-05-08
Posts: 52

Re: [kde-unstable] KDE 4.6

devadittya wrote:

Can you elaborate a bit?
I have only one file in /etc/polkit-1/

 /etc/polkit-1/localauthority.conf.d/50-localauthority.conf  

which looks like this:

  GNU nano 2.2.6        File: /etc/polkit-1/localauthority.conf.d/50-localauthority.conf                       

# Configuration file for the PolicyKit Local Authority.
#
# DO NOT EDIT THIS FILE, it will be overwritten on update.
#
# See the pklocalauthority(8) man page for more information
# about configuring the Local Authority.
#

[Configuration]
AdminIdentities=unix-user:0

What I have is an /etc/polkit-1/localauthority.conf.d/60-localauthority.conf file containing

[Configuration]
AdminIdentities=unix-user:andrew

and then an /etc/polkit-1/localauthority/50-local.d/my-polkit-udisks.pkla file containing

[udisks full access]
Identity=unix-user:andrew
Action=org.freedesktop.udisks.*
ResultActive=yes

[Change CPU Frequency scaling]
Identity=unix-user:andrew
Action=org.gnome.cpufreqselector
ResultActive=yes

You just need to change to your username in the Identity key.


If this helped you, please take the time to rate the value of this post:
http://rate.affero.net/andrewthomas/

Offline

#423 2011-02-01 01:19:04

msx
Member
From: solar.system/earth/ar/bue/mdp
Registered: 2010-08-08
Posts: 184
Website

Re: [kde-unstable] KDE 4.6

Hi bash, guys!
With this new release I'm having an issue with KShutdown, a crash on launch:

Application: KShutdown (kshutdown), signal: Segmentation fault
[KCrash Handler]
#6  0x00007f194c9627e8 in QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, QString const&, QList<QVariant> const&) () from /usr/lib/libQtDBus.so.4
#7  0x00007f194c96425a in QDBusAbstractInterface::call(QDBus::CallMode, QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib/libQtDBus.so.4
#8  0x00007f194c9647e1 in QDBusAbstractInterface::call(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib/libQtDBus.so.4
#9  0x00000000004193b0 in KShutdown::PowerAction::isAvailable(QString const&) const ()
#10 0x000000000041ac33 in KShutdown::HibernateAction::HibernateAction() ()
#11 0x000000000041fcf5 in ?? ()
#12 0x000000000041cad5 in ?? ()
#13 0x00007f194e850cb2 in ?? () from /usr/lib/libkdeui.so.5
#14 0x00007f194e850d52 in ?? () from /usr/lib/libkdeui.so.5
#15 0x00007f194c95017b in ?? () from /usr/lib/libQtDBus.so.4
#16 0x00007f194c950e9e in ?? () from /usr/lib/libQtDBus.so.4
#17 0x00007f194c9516be in ?? () from /usr/lib/libQtDBus.so.4
#18 0x00007f194c9518f8 in ?? () from /usr/lib/libQtDBus.so.4
#19 0x00007f194c61217a in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#20 0x00007f194d234946 in QApplication::event(QEvent*) () from /usr/lib/libQtGui.so.4
#21 0x00007f194d2322b4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#22 0x00007f194d236dca in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#23 0x00007f194e84aba6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#24 0x00007f194c5fde9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#25 0x00007f194c6016c5 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#26 0x00007f194c628d73 in ?? () from /usr/lib/libQtCore.so.4
#27 0x00007f19482f4bf3 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#28 0x00007f19482f53d0 in ?? () from /usr/lib/libglib-2.0.so.0
#29 0x00007f19482f566d in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#30 0x00007f194c628f0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#31 0x00007f194d2d71ae in ?? () from /usr/lib/libQtGui.so.4
#32 0x00007f194c5fd232 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#33 0x00007f194c5fd47c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#34 0x00007f194c60197b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#35 0x000000000041c912 in ?? ()
#36 0x00007f194bc39dcd in __libc_start_main () from /lib/libc.so.6
#37 0x000000000040f5e9 in _start ()

Anyone else?


Enjoying i3wm w/ lifebar + j4-dmenu-desktop + tab_windows / fish shell / Emacs / tmux / Konsole / KDE apps
Arch + Linux-libre kernel: ParabolaGNULinux.org

Offline

#424 2011-02-01 16:57:07

arlite
Member
From: .de
Registered: 2008-05-02
Posts: 31

Re: [kde-unstable] KDE 4.6

msx wrote:

Hi bash, guys!
With this new release I'm having an issue with KShutdown, a crash on launch:
Anyone else?

Yes. Same error here.

Offline

#425 2011-02-06 09:51:12

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] KDE 4.6

reported the bug about kshutdown: FS#22785

Offline

Board footer

Powered by FluxBB